Lift 2.2 will be the last version with Scala 2.7.7 support

9 views
Skip to first unread message

David Pollak

unread,
Dec 13, 2010, 12:02:39 AM12/13/10
to liftweb
Folks,

After asking if anyone was going to use Scala 2.7.7 for Lift apps beyond Lift 2.2 and not receiving any positive replies and making sure without any positive reply.

So, it's office Lift 2.2 will be the last version of Lift to support Scala 2.7.7.  All future versions of Lift (including 2.3-SNAPSHOT) will be Scala 2.8.0+ only.

Committers... it's time to have some fun including:
  • Joni's pending support for JSON serializing List[T]
  • Using package objects to make imports much cleaner
  • Using named parameters and default values
Let's use Scala 2.8's nice features to make Lift even better.

Thanks,

David

--
Lift, the simply functional web framework http://liftweb.net
Beginning Scala http://www.apress.com/book/view/1430219890
Follow me: http://twitter.com/dpp
Blog: http://goodstuff.im
Surf the harmonics

Heiko Seeberger

unread,
Dec 13, 2010, 1:54:37 AM12/13/10
to lif...@googlegroups.com
Yay!

--
You received this message because you are subscribed to the Google Groups "Lift" group.
To post to this group, send email to lif...@googlegroups.com.
To unsubscribe from this group, send email to liftweb+u...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/liftweb?hl=en.



--
Heiko Seeberger

Company: weiglewilczek.com
Blog: heikoseeberger.name
Follow me: twitter.com/hseeberger
OSGi on Scala: scalamodules.org
Lift, the simply functional web framework: liftweb.net
Akka - Simpler Scalability, Fault-Tolerance, Concurrency & Remoting through Actors: akkasource.org

Jeppe Nejsum Madsen

unread,
Dec 13, 2010, 6:36:46 AM12/13/10
to lif...@googlegroups.com
David Pollak <feeder.of...@gmail.com> writes:

> Folks,
>
> After asking if anyone was going to use Scala 2.7.7 for Lift apps beyond
> Lift 2.2 and not receiving any positive replies and making sure without any
> positive reply.
>
> So, it's office Lift 2.2 will be the last version of Lift to support Scala
> 2.7.7. All future versions of Lift (including 2.3-SNAPSHOT) will be Scala
> 2.8.0+ only.
>
> Committers... it's time to have some fun including:
>

> - Joni's pending support for JSON serializing List[T]
> - Using package objects to make imports much cleaner
> - Using named parameters and default values


>
> Let's use Scala 2.8's nice features to make Lift even better.

Awesome :-) Just finished porting our app to 2.8.1 a few weeks ago.

/Jeppe

ejc

unread,
Dec 13, 2010, 3:07:42 PM12/13/10
to lif...@googlegroups.com
On Sun, Dec 12, 2010 at 11:02 PM, David Pollak
<feeder.of...@gmail.com> wrote:
> Folks,
>
> After asking if anyone was going to use Scala 2.7.7 for Lift apps beyond
> Lift 2.2 and not receiving any positive replies and making sure without any
> positive reply.
>
> So, it's office Lift 2.2 will be the last version of Lift to support Scala
> 2.7.7.  All future versions of Lift (including 2.3-SNAPSHOT) will be Scala
> 2.8.0+ only.
>
> Committers... it's time to have some fun including:
>
> Joni's pending support for JSON serializing List[T]
> Using package objects to make imports much cleaner
> Using named parameters and default values
>
> Let's use Scala 2.8's nice features to make Lift even better.

Excellent!!!!

Reply all
Reply to author
Forward
0 new messages